import request from '@/utils/request'

// 查询industry_run列表
export function listIndustry_run(query) {
  return request({
    url: '/industry_run/industry_run/list',
    method: 'get',
    params: query
  })
}
// 查询industry_run列表模糊
export function listIndustry_run_like(query) {
  return request({
    url: '/industry_run/industry_run/listMOHU',
    method: 'get',
    params: query
  })
}


// 查询industry_run详细
export function getIndustry_run(enterpriseName) {
  return request({
    url: '/industry_run/industry_run/' + enterpriseName,
    method: 'get'
  })
}

// 新增industry_run
export function addIndustry_run(data) {
  return request({
    url: '/industry_run/industry_run',
    method: 'post',
    data: data
  })
}

// 修改industry_run
export function updateIndustry_run(data) {
  return request({
    url: '/industry_run/industry_run',
    method: 'put',
    data: data
  })
}

// 删除industry_run
export function delIndustry_run(enterpriseName) {
  return request({
    url: '/industry_run/industry_run/' + enterpriseName,
    method: 'delete'
  })
}

// 查询industry_run全部列表
export function listAllIndustry_run(query) {
  return request({
    url: '/industry_run/industry_run/alllist',
    method: 'get',
    params: query
  })
}
